%define qtdir %_libdir/qt3

Name: koverartist
Version: 0.3.1
Release:	%mkrel 3
Summary:	Covers for cd/dvd cases and boxes creator
License:	GPL
Url: http://www.kde-apps.org/content/show.php?content=38195
Group: Archiving/Other
Source0:	%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel 
BuildRequires:  ImageMagick

%description
KoverArtist is a program for the fast creation of covers for
cd/dvd cases and boxes. The main idea behind it is to be able
to create decent looking covers with some mouseclicks.

The project started from my need for some decent covers for the
films I record from television and then often burn on dvd for
archiving.

With series I usually start with one or two dvds, and add more as
more episodes are available. So the program - KoverArtist - had
to be flexible enough to handle that. This also requires changing
covers on the fly to use cases that can house more discs.

%prep
%setup -q -n %{name}

%build
export QTDIR=%qtdir
export KDEDIR=%_prefix

./configure \
	--prefix=%_prefix \
	--sysconfdir=%_sysconfdir \
	--datadir=%_datadir \
	--libdir=%_libdir \
	--disable-debug \
	--disable-warnings \
   --with-qt-libraries=%qtdir/%_lib \
%if "%{_lib}" == "lib64"
   --enable-libsuffix=64 \
%endif
   --disable-rpath

%make

%install
rm -rf %buildroot
%makeinstall_std

# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl koverartist "System/Archiving/Other" %buildroot/%_datadir/applnk/Multimedia/%{name}.desktop %buildroot/%_menudir/%name

kdedesktop2mdkmenu.pl koverartist "System/Archiving/Other" %buildroot/%{_datadir}/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%name
install -m644 src/hi16-app-%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 src/hi32-app-%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -d $RPM_BUILD_ROOT%{_liconsdir}
convert -scale 48 src/hi32-app-%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %{name}


%clean
rm -rf %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus} 

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc README AUTHORS COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/apps/%{name}/*
%{_datadir}/applnk/Multimedia/%{name}.desktop
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png 
%{_iconsdir}/hicolor/*/apps/*.png
%_datadir/mimelnk/application/*.desktop
%dir %_docdir/HTML/en/%{name}/
%doc %_docdir/HTML/en/%{name}/*.docbook
%doc %_docdir/HTML/en/%{name}/common
%doc %_docdir/HTML/en/%{name}/*.bz2

%changelog
* Fri Jun 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-3mdv2007.0
- Rebuild for xdg menus

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-2mdk
- Fix BuildRequires
- Remove comments about svn

* Mon Apr 24 2006 Jerome Martin <jmartin@mandriva.org> 0.3.1-1mdk
- Initial version 
